"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installApp = void 0;
const react_1 = require("react");
const native_twin_1 = require("@universal-labs/native-twin");
function installApp(config, AppComponent = NativeTailwindApp, isProduction = process.env['NODE_ENV'] == 'production') {
    if (config.mode !== 'web') {
        (0, native_twin_1.install)(Object.assign({ mode: 'web' }, config), isProduction);
    }
    else {
        (0, native_twin_1.install)(config, isProduction);
    }
    return AppComponent;
}
exports.installApp = installApp;
function NativeTailwindApp(props) {
    return (0, react_1.createElement)(props.Component, props.pageProps);
}
//# sourceMappingURL=_app.js.map